TokyoTyrant::putNr
TokyoTyrant::restore
TokyoTyrant
PHP Manual

# TokyoTyrant::putShl

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrant::putShl — Concatenates to a record

### Description

public mixed TokyoTyrant::putShl ( string `$key` , string `$value` , int `$width` )

Concatenate to a record and shift to left.

### Parameters

`key`

  A string key

`value`

  The value to concatenate

`width`

  The width of the record

### Return Values

This method returns a reference to the current object and throws TokyoTyrantException on failure.

### Examples

Example #1 TokyoTyrant::putShl() example

`<?php
/* Connect to a database on default port */
$tt = new TokyoTyrant("localhost");
/* Create a new key */
$tt->put("key", "just a long piece of data");
/* Concatenate and shift to left */
$tt->putShl("key", " and string", 15);
/* Echo the key */
echo $tt->get("key");
?>`

The above example will output:

    data and string

### See Also

- TokyoTyrant::put() - Puts values
- TokyoTyrant::putKeep() - Puts a record
- TokyoTyrant::putCat() - Concatenates to a record

TokyoTyrant::putNr
TokyoTyrant::restore
TokyoTyrant
PHP Manual